RegionAttributesType (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.configuration

## Class RegionAttributesType

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType

-     @Experimental
      public class RegionAttributesType
      extends java.lang.Object

  Java class for region-attributes-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="region-attributes-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="key-constraint" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
               <element name="value-constraint" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="region-time-to-live" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="region-idle-time" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="entry-time-to-live" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="entry-idle-time" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="disk-write-attributes" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <choice>
                         <element name="asynchronous-writes">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="bytes-threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="time-interval" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="synchronous-writes" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
                       </choice>
                       <attribute name="max-oplog-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="disk-dirs" type="{http://geode.apache.org/schema/cache}disk-dirs-type" minOccurs="0"/>
               <element name="partition-attributes" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="partition-resolver" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                   <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                 </sequence>
                                 <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="partition-listener" maxOccurs="unbounded" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                   <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                 </sequence>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="fixed-partition-attributes" maxOccurs="unbounded" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="partition-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="is-primary" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                 <attribute name="num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                       <attribute name="local-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="redundant-copies" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="startup-recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="total-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="total-num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="colocated-with" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="membership-attributes" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="required-role" maxOccurs="unbounded" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                       <attribute name="loss-action">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="full-access"/>
                             <enumeration value="limited-access"/>
                             <enumeration value="no-access"/>
                             <enumeration value="reconnect"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="resumption-action">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="none"/>
                             <enumeration value="reinitialize"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="subscription-attributes" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="interest-policy">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="all"/>
                             <enumeration value="cache-content"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="cache-loader" type="{http://geode.apache.org/schema/cache}cache-loader-type" minOccurs="0"/>
               <element name="cache-writer" type="{http://geode.apache.org/schema/cache}cache-writer-type" minOccurs="0"/>
               <element name="cache-listener" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="compressor" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="eviction-attributes" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <choice>
                         <element name="lru-entry-count">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                                 <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="lru-heap-percentage">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence minOccurs="0">
                                   <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                   <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                 </sequence>
                                 <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                         <element name="lru-memory-size">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence minOccurs="0">
                                   <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                   <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                 </sequence>
                                 <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
                                 <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </choice>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="data-policy" type="{http://geode.apache.org/schema/cache}region-attributesData-policy" />
             <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="enable-async-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="enable-gateway" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="enable-subscription-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="gateway-sender-ids" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="async-event-queue-ids" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="hub-id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ignore-jta" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="index-update-type" type="{http://geode.apache.org/schema/cache}region-attributesIndex-update-type" />
             <attribute name="initial-capacity" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="is-lock-grantor" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="load-factor" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="mirror-type" type="{http://geode.apache.org/schema/cache}region-attributesMirror-type" />
             <attribute name="multicast-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="persist-backup" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="pool-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="publisher" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="refid" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="scope" type="{http://geode.apache.org/schema/cache}region-attributesScope" />
             <attribute name="statistics-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="cloning-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="concurrency-checks-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             <attribute name="off-heap" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionAttributesType.DiskWriteAttributes` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.EntryIdleTime` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.EntryTimeToLive` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.EvictionAttributes` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.MembershipAttributes` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.PartitionAttributes` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.RegionIdleTime` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.RegionTimeToLive` Java class for anonymous complex type.
    `static class` | `RegionAttributesType.SubscriptionAttributes` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `asyncEventQueueIds`
    `protected java.util.List<DeclarableType>` | `cacheListeners`
    `protected DeclarableType` | `cacheLoader`
    `protected DeclarableType` | `cacheWriter`
    `protected java.lang.Boolean` | `cloningEnabled`
    `protected ClassNameType` | `compressor`
    `protected java.lang.Boolean` | `concurrencyChecksEnabled`
    `protected java.lang.String` | `concurrencyLevel`
    `protected RegionAttributesDataPolicy` | `dataPolicy`
    `protected DiskDirsType` | `diskDirs`
    `protected java.lang.String` | `diskStoreName`
    `protected java.lang.Boolean` | `diskSynchronous`
    `protected RegionAttributesType.DiskWriteAttributes` | `diskWriteAttributes`
    `protected java.lang.Boolean` | `earlyAck`
    `protected java.lang.Boolean` | `enableAsyncConflation`
    `protected java.lang.Boolean` | `enableGateway`
    `protected java.lang.Boolean` | `enableSubscriptionConflation`
    `protected RegionAttributesType.EntryIdleTime` | `entryIdleTime`
    `protected RegionAttributesType.EntryTimeToLive` | `entryTimeToLive`
    `protected RegionAttributesType.EvictionAttributes` | `evictionAttributes`
    `protected java.lang.String` | `gatewaySenderIds`
    `protected java.lang.String` | `hubId`
    `protected java.lang.String` | `id`
    `protected java.lang.Boolean` | `ignoreJta`
    `protected RegionAttributesIndexUpdateType` | `indexUpdateType`
    `protected java.lang.String` | `initialCapacity`
    `protected java.lang.Boolean` | `isLockGrantor`
    `protected java.lang.Object` | `keyConstraint`
    `protected java.lang.String` | `loadFactor`
    `protected RegionAttributesType.MembershipAttributes` | `membershipAttributes`
    `protected RegionAttributesMirrorType` | `mirrorType`
    `protected java.lang.Boolean` | `multicastEnabled`
    `protected java.lang.Boolean` | `offHeap`
    `protected RegionAttributesType.PartitionAttributes` | `partitionAttributes`
    `protected java.lang.Boolean` | `persistBackup`
    `protected java.lang.String` | `poolName`
    `protected java.lang.Boolean` | `publisher`
    `protected java.lang.String` | `refid`
    `protected RegionAttributesType.RegionIdleTime` | `regionIdleTime`
    `protected RegionAttributesType.RegionTimeToLive` | `regionTimeToLive`
    `protected RegionAttributesScope` | `scope`
    `protected java.lang.Boolean` | `statisticsEnabled`
    `protected RegionAttributesType.SubscriptionAttributes` | `subscriptionAttributes`
    `protected java.lang.String` | `valueConstraint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionAttributesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAsyncEventQueueIds()` Gets the value of the asyncEventQueueIds property.
    `java.util.List<DeclarableType>` | `getCacheListeners()` Gets the value of the cacheListener property.
    `DeclarableType` | `getCacheLoader()` Gets the value of the cacheLoader property.
    `DeclarableType` | `getCacheWriter()` Gets the value of the cacheWriter property.
    `ClassNameType` | `getCompressor()` Gets the value of the compressor property.
    `java.lang.String` | `getConcurrencyLevel()` Gets the value of the concurrencyLevel property.
    `RegionAttributesDataPolicy` | `getDataPolicy()` Gets the value of the dataPolicy property.
    `DiskDirsType` | `getDiskDirs()` Gets the value of the diskDirs property.
    `java.lang.String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `RegionAttributesType.DiskWriteAttributes` | `getDiskWriteAttributes()` Gets the value of the diskWriteAttributes property.
    `RegionAttributesType.EntryIdleTime` | `getEntryIdleTime()` Gets the value of the entryIdleTime property.
    `RegionAttributesType.EntryTimeToLive` | `getEntryTimeToLive()` Gets the value of the entryTimeToLive property.
    `RegionAttributesType.EvictionAttributes` | `getEvictionAttributes()` Gets the value of the evictionAttributes property.
    `java.lang.String` | `getGatewaySenderIds()` Gets the value of the gatewaySenderIds property.
    `java.lang.String` | `getHubId()` Gets the value of the hubId property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `RegionAttributesIndexUpdateType` | `getIndexUpdateType()` Gets the value of the indexUpdateType property.
    `java.lang.String` | `getInitialCapacity()` Gets the value of the initialCapacity property.
    `java.lang.Object` | `getKeyConstraint()` Gets the value of the keyConstraint property.
    `java.lang.String` | `getLoadFactor()` Gets the value of the loadFactor property.
    `RegionAttributesType.MembershipAttributes` | `getMembershipAttributes()` Gets the value of the membershipAttributes property.
    `RegionAttributesMirrorType` | `getMirrorType()` Gets the value of the mirrorType property.
    `RegionAttributesType.PartitionAttributes` | `getPartitionAttributes()` Gets the value of the partitionAttributes property.
    `java.lang.String` | `getPoolName()` Gets the value of the poolName property.
    `java.lang.String` | `getRefid()` Gets the value of the refid property.
    `RegionAttributesType.RegionIdleTime` | `getRegionIdleTime()` Gets the value of the regionIdleTime property.
    `RegionAttributesType.RegionTimeToLive` | `getRegionTimeToLive()` Gets the value of the regionTimeToLive property.
    `RegionAttributesScope` | `getScope()` Gets the value of the scope property.
    `RegionAttributesType.SubscriptionAttributes` | `getSubscriptionAttributes()` Gets the value of the subscriptionAttributes property.
    `java.lang.String` | `getValueConstraint()` Gets the value of the valueConstraint property.
    `java.lang.Boolean` | `isCloningEnabled()` Gets the value of the cloningEnabled property.
    `boolean` | `isConcurrencyChecksEnabled()` Gets the value of the concurrencyChecksEnabled property.
    `java.lang.Boolean` | `isDiskSynchronous()` Gets the value of the diskSynchronous property.
    `java.lang.Boolean` | `isEarlyAck()` Gets the value of the earlyAck property.
    `java.lang.Boolean` | `isEnableAsyncConflation()` Gets the value of the enableAsyncConflation property.
    `java.lang.Boolean` | `isEnableGateway()` Gets the value of the enableGateway property.
    `java.lang.Boolean` | `isEnableSubscriptionConflation()` Gets the value of the enableSubscriptionConflation property.
    `java.lang.Boolean` | `isIgnoreJta()` Gets the value of the ignoreJta property.
    `java.lang.Boolean` | `isIsLockGrantor()` Gets the value of the isLockGrantor property.
    `java.lang.Boolean` | `isMulticastEnabled()` Gets the value of the multicastEnabled property.
    `java.lang.Boolean` | `isOffHeap()` Gets the value of the offHeap property.
    `java.lang.Boolean` | `isPersistBackup()` Gets the value of the persistBackup property.
    `java.lang.Boolean` | `isPublisher()` Gets the value of the publisher property.
    `java.lang.Boolean` | `isStatisticsEnabled()` Gets the value of the statisticsEnabled property.
    `void` | `setAsyncEventQueueIds(java.lang.String value)` Sets the value of the asyncEventQueueIds property.
    `void` | `setCacheLoader(DeclarableType value)` Sets the value of the cacheLoader property.
    `void` | `setCacheWriter(DeclarableType value)` Sets the value of the cacheWriter property.
    `void` | `setCloningEnabled(java.lang.Boolean value)` Sets the value of the cloningEnabled property.
    `void` | `setCompressor(ClassNameType value)` Sets the value of the compressor property.
    `void` | `setConcurrencyChecksEnabled(java.lang.Boolean value)` Sets the value of the concurrencyChecksEnabled property.
    `void` | `setConcurrencyLevel(java.lang.String value)` Sets the value of the concurrencyLevel property.
    `void` | `setDataPolicy(RegionAttributesDataPolicy value)` Sets the value of the dataPolicy property.
    `void` | `setDiskDirs(DiskDirsType value)` Sets the value of the diskDirs property.
    `void` | `setDiskStoreName(java.lang.String value)` Sets the value of the diskStoreName property.
    `void` | `setDiskSynchronous(java.lang.Boolean value)` Sets the value of the diskSynchronous property.
    `void` | `setDiskWriteAttributes(RegionAttributesType.DiskWriteAttributes value)` Sets the value of the diskWriteAttributes property.
    `void` | `setEarlyAck(java.lang.Boolean value)` Sets the value of the earlyAck property.
    `void` | `setEnableAsyncConflation(java.lang.Boolean value)` Sets the value of the enableAsyncConflation property.
    `void` | `setEnableGateway(java.lang.Boolean value)` Sets the value of the enableGateway property.
    `void` | `setEnableSubscriptionConflation(java.lang.Boolean value)` Sets the value of the enableSubscriptionConflation property.
    `void` | `setEntryIdleTime(RegionAttributesType.EntryIdleTime value)` Sets the value of the entryIdleTime property.
    `void` | `setEntryTimeToLive(RegionAttributesType.EntryTimeToLive value)` Sets the value of the entryTimeToLive property.
    `void` | `setEvictionAttributes(RegionAttributesType.EvictionAttributes value)` Sets the value of the evictionAttributes property.
    `void` | `setGatewaySenderIds(java.lang.String value)` Sets the value of the gatewaySenderIds property.
    `void` | `setHubId(java.lang.String value)` Sets the value of the hubId property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setIgnoreJta(java.lang.Boolean value)` Sets the value of the ignoreJta property.
    `void` | `setIndexUpdateType(RegionAttributesIndexUpdateType value)` Sets the value of the indexUpdateType property.
    `void` | `setInitialCapacity(java.lang.String value)` Sets the value of the initialCapacity property.
    `void` | `setIsLockGrantor(java.lang.Boolean value)` Sets the value of the isLockGrantor property.
    `void` | `setKeyConstraint(java.lang.Object value)` Sets the value of the keyConstraint property.
    `void` | `setLoadFactor(java.lang.String value)` Sets the value of the loadFactor property.
    `void` | `setMembershipAttributes(RegionAttributesType.MembershipAttributes value)` Sets the value of the membershipAttributes property.
    `void` | `setMirrorType(RegionAttributesMirrorType value)` Sets the value of the mirrorType property.
    `void` | `setMulticastEnabled(java.lang.Boolean value)` Sets the value of the multicastEnabled property.
    `void` | `setOffHeap(java.lang.Boolean value)` Sets the value of the offHeap property.
    `void` | `setPartitionAttributes(RegionAttributesType.PartitionAttributes value)` Sets the value of the partitionAttributes property.
    `void` | `setPersistBackup(java.lang.Boolean value)` Sets the value of the persistBackup property.
    `void` | `setPoolName(java.lang.String value)` Sets the value of the poolName property.
    `void` | `setPublisher(java.lang.Boolean value)` Sets the value of the publisher property.
    `void` | `setRefid(java.lang.String value)` Sets the value of the refid property.
    `void` | `setRegionIdleTime(RegionAttributesType.RegionIdleTime value)` Sets the value of the regionIdleTime property.
    `void` | `setRegionTimeToLive(RegionAttributesType.RegionTimeToLive value)` Sets the value of the regionTimeToLive property.
    `void` | `setScope(RegionAttributesScope value)` Sets the value of the scope property.
    `void` | `setStatisticsEnabled(java.lang.Boolean value)` Sets the value of the statisticsEnabled property.
    `void` | `setSubscriptionAttributes(RegionAttributesType.SubscriptionAttributes value)` Sets the value of the subscriptionAttributes property.
    `void` | `setValueConstraint(java.lang.String value)` Sets the value of the valueConstraint property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyConstraint

          protected java.lang.Object keyConstraint

    - #### valueConstraint

          protected java.lang.String valueConstraint

    - #### regionTimeToLive

          protected RegionAttributesType.RegionTimeToLive regionTimeToLive

    - #### regionIdleTime

          protected RegionAttributesType.RegionIdleTime regionIdleTime

    - #### entryTimeToLive

          protected RegionAttributesType.EntryTimeToLive entryTimeToLive

    - #### entryIdleTime

          protected RegionAttributesType.EntryIdleTime entryIdleTime

    - #### diskWriteAttributes

          protected RegionAttributesType.DiskWriteAttributes diskWriteAttributes

    - #### diskDirs

          protected DiskDirsType diskDirs

    - #### partitionAttributes

          protected RegionAttributesType.PartitionAttributes partitionAttributes

    - #### membershipAttributes

          protected RegionAttributesType.MembershipAttributes membershipAttributes

    - #### subscriptionAttributes

          protected RegionAttributesType.SubscriptionAttributes subscriptionAttributes

    - #### cacheLoader

          protected DeclarableType cacheLoader

    - #### cacheWriter

          protected DeclarableType cacheWriter

    - #### cacheListeners

          protected java.util.List<DeclarableType> cacheListeners

    - #### compressor

          protected ClassNameType compressor

    - #### evictionAttributes

          protected RegionAttributesType.EvictionAttributes evictionAttributes

    - #### concurrencyLevel

          protected java.lang.String concurrencyLevel

    - #### dataPolicy

          protected RegionAttributesDataPolicy dataPolicy

    - #### earlyAck

          protected java.lang.Boolean earlyAck

    - #### enableAsyncConflation

          protected java.lang.Boolean enableAsyncConflation

    - #### enableGateway

          protected java.lang.Boolean enableGateway

    - #### enableSubscriptionConflation

          protected java.lang.Boolean enableSubscriptionConflation

    - #### gatewaySenderIds

          protected java.lang.String gatewaySenderIds

    - #### asyncEventQueueIds

          protected java.lang.String asyncEventQueueIds

    - #### hubId

          protected java.lang.String hubId

    - #### id

          protected java.lang.String id

    - #### ignoreJta

          protected java.lang.Boolean ignoreJta

    - #### indexUpdateType

          protected RegionAttributesIndexUpdateType indexUpdateType

    - #### initialCapacity

          protected java.lang.String initialCapacity

    - #### isLockGrantor

          protected java.lang.Boolean isLockGrantor

    - #### loadFactor

          protected java.lang.String loadFactor

    - #### mirrorType

          protected RegionAttributesMirrorType mirrorType

    - #### multicastEnabled

          protected java.lang.Boolean multicastEnabled

    - #### persistBackup

          protected java.lang.Boolean persistBackup

    - #### poolName

          protected java.lang.String poolName

    - #### diskStoreName

          protected java.lang.String diskStoreName

    - #### diskSynchronous

          protected java.lang.Boolean diskSynchronous

    - #### publisher

          protected java.lang.Boolean publisher

    - #### refid

          protected java.lang.String refid

    - #### scope

          protected RegionAttributesScope scope

    - #### statisticsEnabled

          protected java.lang.Boolean statisticsEnabled

    - #### cloningEnabled

          protected java.lang.Boolean cloningEnabled

    - #### concurrencyChecksEnabled

          protected java.lang.Boolean concurrencyChecksEnabled

    - #### offHeap

          protected java.lang.Boolean offHeap

  - ### Constructor Detail

    - #### RegionAttributesType

          public RegionAttributesType()

  - ### Method Detail

    - #### getKeyConstraint

          public java.lang.Object getKeyConstraint()

      Gets the value of the keyConstraint property. possible object is `Object`

    - #### setKeyConstraint

          public void setKeyConstraint(java.lang.Object value)

      Sets the value of the keyConstraint property. allowed object is `Object`

    - #### getValueConstraint

          public java.lang.String getValueConstraint()

      Gets the value of the valueConstraint property. possible object is `String`

    - #### setValueConstraint

          public void setValueConstraint(java.lang.String value)

      Sets the value of the valueConstraint property. allowed object is `String`

    - #### getRegionTimeToLive

          public RegionAttributesType.RegionTimeToLive getRegionTimeToLive()

      Gets the value of the regionTimeToLive property. possible object is `RegionAttributesType.RegionTimeToLive`

    - #### setRegionTimeToLive

          public void setRegionTimeToLive(RegionAttributesType.RegionTimeToLive value)

      Sets the value of the regionTimeToLive property. allowed object is `RegionAttributesType.RegionTimeToLive`

    - #### getRegionIdleTime

          public RegionAttributesType.RegionIdleTime getRegionIdleTime()

      Gets the value of the regionIdleTime property. possible object is `RegionAttributesType.RegionIdleTime`

    - #### setRegionIdleTime

          public void setRegionIdleTime(RegionAttributesType.RegionIdleTime value)

      Sets the value of the regionIdleTime property. allowed object is `RegionAttributesType.RegionIdleTime`

    - #### getEntryTimeToLive

          public RegionAttributesType.EntryTimeToLive getEntryTimeToLive()

      Gets the value of the entryTimeToLive property. possible object is `RegionAttributesType.EntryTimeToLive`

    - #### setEntryTimeToLive

          public void setEntryTimeToLive(RegionAttributesType.EntryTimeToLive value)

      Sets the value of the entryTimeToLive property. allowed object is `RegionAttributesType.EntryTimeToLive`

    - #### getEntryIdleTime

          public RegionAttributesType.EntryIdleTime getEntryIdleTime()

      Gets the value of the entryIdleTime property. possible object is `RegionAttributesType.EntryIdleTime`

    - #### setEntryIdleTime

          public void setEntryIdleTime(RegionAttributesType.EntryIdleTime value)

      Sets the value of the entryIdleTime property. allowed object is `RegionAttributesType.EntryIdleTime`

    - #### getDiskWriteAttributes

          public RegionAttributesType.DiskWriteAttributes getDiskWriteAttributes()

      Gets the value of the diskWriteAttributes property. possible object is `RegionAttributesType.DiskWriteAttributes`

    - #### setDiskWriteAttributes

          public void setDiskWriteAttributes(RegionAttributesType.DiskWriteAttributes value)

      Sets the value of the diskWriteAttributes property. allowed object is `RegionAttributesType.DiskWriteAttributes`

    - #### getDiskDirs

          public DiskDirsType getDiskDirs()

      Gets the value of the diskDirs property. possible object is `DiskDirsType`

    - #### setDiskDirs

          public void setDiskDirs(DiskDirsType value)

      Sets the value of the diskDirs property. allowed object is `DiskDirsType`

    - #### getPartitionAttributes

          public RegionAttributesType.PartitionAttributes getPartitionAttributes()

      Gets the value of the partitionAttributes property. possible object is `RegionAttributesType.PartitionAttributes`

    - #### setPartitionAttributes

          public void setPartitionAttributes(RegionAttributesType.PartitionAttributes value)

      Sets the value of the partitionAttributes property. allowed object is `RegionAttributesType.PartitionAttributes`

    - #### getMembershipAttributes

          public RegionAttributesType.MembershipAttributes getMembershipAttributes()

      Gets the value of the membershipAttributes property. possible object is `RegionAttributesType.MembershipAttributes`

    - #### setMembershipAttributes

          public void setMembershipAttributes(RegionAttributesType.MembershipAttributes value)

      Sets the value of the membershipAttributes property. allowed object is `RegionAttributesType.MembershipAttributes`

    - #### getSubscriptionAttributes

          public RegionAttributesType.SubscriptionAttributes getSubscriptionAttributes()

      Gets the value of the subscriptionAttributes property. possible object is `RegionAttributesType.SubscriptionAttributes`

    - #### setSubscriptionAttributes

          public void setSubscriptionAttributes(RegionAttributesType.SubscriptionAttributes value)

      Sets the value of the subscriptionAttributes property. allowed object is `RegionAttributesType.SubscriptionAttributes`

    - #### getCacheLoader

          public DeclarableType getCacheLoader()

      Gets the value of the cacheLoader property. possible object is `DeclarableType`

    - #### setCacheLoader

          public void setCacheLoader(DeclarableType value)

      Sets the value of the cacheLoader property. allowed object is `DeclarableType`

    - #### getCacheWriter

          public DeclarableType getCacheWriter()

      Gets the value of the cacheWriter property. possible object is `DeclarableType`

    - #### setCacheWriter

          public void setCacheWriter(DeclarableType value)

      Sets the value of the cacheWriter property. allowed object is `DeclarableType`

    - #### getCacheListeners

          public java.util.List<DeclarableType> getCacheListeners()

      Gets the value of the cacheListener property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cacheListener property.

      For example, to add a new item, do as follows:

           getCacheListeners().add(newItem);

      Objects of the following type(s) are allowed in the list `DeclarableType`

    - #### getCompressor

          public ClassNameType getCompressor()

      Gets the value of the compressor property. possible object is `ClassNameType`

    - #### setCompressor

          public void setCompressor(ClassNameType value)

      Sets the value of the compressor property. allowed object is `ClassNameType`

    - #### getEvictionAttributes

          public RegionAttributesType.EvictionAttributes getEvictionAttributes()

      Gets the value of the evictionAttributes property. possible object is `RegionAttributesType.EvictionAttributes`

    - #### setEvictionAttributes

          public void setEvictionAttributes(RegionAttributesType.EvictionAttributes value)

      Sets the value of the evictionAttributes property. allowed object is `RegionAttributesType.EvictionAttributes`

    - #### getConcurrencyLevel

          public java.lang.String getConcurrencyLevel()

      Gets the value of the concurrencyLevel property. possible object is `String`

    - #### setConcurrencyLevel

          public void setConcurrencyLevel(java.lang.String value)

      Sets the value of the concurrencyLevel property. allowed object is `String`

    - #### getDataPolicy

          public RegionAttributesDataPolicy getDataPolicy()

      Gets the value of the dataPolicy property. possible object is `RegionAttributesDataPolicy`

    - #### setDataPolicy

          public void setDataPolicy(RegionAttributesDataPolicy value)

      Sets the value of the dataPolicy property. allowed object is `RegionAttributesDataPolicy`

    - #### isEarlyAck

          public java.lang.Boolean isEarlyAck()

      Gets the value of the earlyAck property. possible object is `Boolean`

    - #### setEarlyAck

          public void setEarlyAck(java.lang.Boolean value)

      Sets the value of the earlyAck property. allowed object is `Boolean`

    - #### isEnableAsyncConflation

          public java.lang.Boolean isEnableAsyncConflation()

      Gets the value of the enableAsyncConflation property. possible object is `Boolean`

    - #### setEnableAsyncConflation

          public void setEnableAsyncConflation(java.lang.Boolean value)

      Sets the value of the enableAsyncConflation property. allowed object is `Boolean`

    - #### isEnableGateway

          public java.lang.Boolean isEnableGateway()

      Gets the value of the enableGateway property. possible object is `Boolean`

    - #### setEnableGateway

          public void setEnableGateway(java.lang.Boolean value)

      Sets the value of the enableGateway property. allowed object is `Boolean`

    - #### isEnableSubscriptionConflation

          public java.lang.Boolean isEnableSubscriptionConflation()

      Gets the value of the enableSubscriptionConflation property. possible object is `Boolean`

    - #### setEnableSubscriptionConflation

          public void setEnableSubscriptionConflation(java.lang.Boolean value)

      Sets the value of the enableSubscriptionConflation property. allowed object is `Boolean`

    - #### getGatewaySenderIds

          public java.lang.String getGatewaySenderIds()

      Gets the value of the gatewaySenderIds property. possible object is `String`

    - #### setGatewaySenderIds

          public void setGatewaySenderIds(java.lang.String value)

      Sets the value of the gatewaySenderIds property. allowed object is `String`

    - #### getAsyncEventQueueIds

          public java.lang.String getAsyncEventQueueIds()

      Gets the value of the asyncEventQueueIds property. possible object is `String`

    - #### setAsyncEventQueueIds

          public void setAsyncEventQueueIds(java.lang.String value)

      Sets the value of the asyncEventQueueIds property. allowed object is `String`

    - #### getHubId

          public java.lang.String getHubId()

      Gets the value of the hubId property. possible object is `String`

    - #### setHubId

          public void setHubId(java.lang.String value)

      Sets the value of the hubId property. allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property. possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property. allowed object is `String`

    - #### isIgnoreJta

          public java.lang.Boolean isIgnoreJta()

      Gets the value of the ignoreJta property. possible object is `Boolean`

    - #### setIgnoreJta

          public void setIgnoreJta(java.lang.Boolean value)

      Sets the value of the ignoreJta property. allowed object is `Boolean`

    - #### getIndexUpdateType

          public RegionAttributesIndexUpdateType getIndexUpdateType()

      Gets the value of the indexUpdateType property. possible object is `RegionAttributesIndexUpdateType`

    - #### setIndexUpdateType

          public void setIndexUpdateType(RegionAttributesIndexUpdateType value)

      Sets the value of the indexUpdateType property. allowed object is `RegionAttributesIndexUpdateType`

    - #### getInitialCapacity

          public java.lang.String getInitialCapacity()

      Gets the value of the initialCapacity property. possible object is `String`

    - #### setInitialCapacity

          public void setInitialCapacity(java.lang.String value)

      Sets the value of the initialCapacity property. allowed object is `String`

    - #### isIsLockGrantor

          public java.lang.Boolean isIsLockGrantor()

      Gets the value of the isLockGrantor property. possible object is `Boolean`

    - #### setIsLockGrantor

          public void setIsLockGrantor(java.lang.Boolean value)

      Sets the value of the isLockGrantor property. allowed object is `Boolean`

    - #### getLoadFactor

          public java.lang.String getLoadFactor()

      Gets the value of the loadFactor property. possible object is `String`

    - #### setLoadFactor

          public void setLoadFactor(java.lang.String value)

      Sets the value of the loadFactor property. allowed object is `String`

    - #### getMirrorType

          public RegionAttributesMirrorType getMirrorType()

      Gets the value of the mirrorType property. possible object is `RegionAttributesMirrorType`

    - #### setMirrorType

          public void setMirrorType(RegionAttributesMirrorType value)

      Sets the value of the mirrorType property. allowed object is `RegionAttributesMirrorType`

    - #### isMulticastEnabled

          public java.lang.Boolean isMulticastEnabled()

      Gets the value of the multicastEnabled property. possible object is `Boolean`

    - #### setMulticastEnabled

          public void setMulticastEnabled(java.lang.Boolean value)

      Sets the value of the multicastEnabled property. allowed object is `Boolean`

    - #### isPersistBackup

          public java.lang.Boolean isPersistBackup()

      Gets the value of the persistBackup property. possible object is `Boolean`

    - #### setPersistBackup

          public void setPersistBackup(java.lang.Boolean value)

      Sets the value of the persistBackup property. allowed object is `Boolean`

    - #### getPoolName

          public java.lang.String getPoolName()

      Gets the value of the poolName property. possible object is `String`

    - #### setPoolName

          public void setPoolName(java.lang.String value)

      Sets the value of the poolName property. allowed object is `String`

    - #### getDiskStoreName

          public java.lang.String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`

    - #### setDiskStoreName

          public void setDiskStoreName(java.lang.String value)

      Sets the value of the diskStoreName property. allowed object is `String`

    - #### isDiskSynchronous

          public java.lang.Boolean isDiskSynchronous()

      Gets the value of the diskSynchronous property. possible object is `Boolean`

    - #### setDiskSynchronous

          public void setDiskSynchronous(java.lang.Boolean value)

      Sets the value of the diskSynchronous property. allowed object is `Boolean`

    - #### isPublisher

          public java.lang.Boolean isPublisher()

      Gets the value of the publisher property. possible object is `Boolean`

    - #### setPublisher

          public void setPublisher(java.lang.Boolean value)

      Sets the value of the publisher property. allowed object is `Boolean`

    - #### getRefid

          public java.lang.String getRefid()

      Gets the value of the refid property. possible object is `String`

    - #### setRefid

          public void setRefid(java.lang.String value)

      Sets the value of the refid property. allowed object is `String`

    - #### getScope

          public RegionAttributesScope getScope()

      Gets the value of the scope property. possible object is `RegionAttributesScope`

    - #### setScope

          public void setScope(RegionAttributesScope value)

      Sets the value of the scope property. allowed object is `RegionAttributesScope`

    - #### isStatisticsEnabled

          public java.lang.Boolean isStatisticsEnabled()

      Gets the value of the statisticsEnabled property. possible object is `Boolean`

    - #### setStatisticsEnabled

          public void setStatisticsEnabled(java.lang.Boolean value)

      Sets the value of the statisticsEnabled property. allowed object is `Boolean`

    - #### isCloningEnabled

          public java.lang.Boolean isCloningEnabled()

      Gets the value of the cloningEnabled property. possible object is `Boolean`

    - #### setCloningEnabled

          public void setCloningEnabled(java.lang.Boolean value)

      Sets the value of the cloningEnabled property. allowed object is `Boolean`

    - #### isConcurrencyChecksEnabled

          public boolean isConcurrencyChecksEnabled()

      Gets the value of the concurrencyChecksEnabled property. possible object is `Boolean`

    - #### setConcurrencyChecksEnabled

          public void setConcurrencyChecksEnabled(java.lang.Boolean value)

      Sets the value of the concurrencyChecksEnabled property. allowed object is `Boolean`

    - #### isOffHeap

          public java.lang.Boolean isOffHeap()

      Gets the value of the offHeap property. possible object is `Boolean`

    - #### setOffHeap

          public void setOffHeap(java.lang.Boolean value)

      Sets the value of the offHeap property. allowed object is `Boolean`